{
	saved_duck [1]
	saved_firstTime [1]

	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
			GiveWeapon(56);
			PlayAnimation(8);
			TurnTo( Level.GetPlayer() );

			SetState_Patrol(0);
			SetLineOfSight(0);
			SetWander(0);
			SetAttackDistance(0,0);

			Delay( 3,1);
	}]

	DelayReached[ (dy)
	{
		if( dy=1 )
		{
			if( Level.saved_CueSnipers = 1 )
			{
				if( saved_duck=1 )
				{
					if( not self.IsDead() )
					{
						SetAttackDistance(12,8);
						PlayAnimation(13);
						saved_duck=0;
						Delay( Random(8,12),1);
						return;
					}
				}else{
					if( not self.IsDead() )
					{
						PlayAnimation(10);
						saved_duck=1;
						Delay( Random(3,5),1);
						return;
					}
				}
			}
			else
			{
				Delay( 3,1);
			}
		}
	}]
}